Page MenuHomePhabricator

[Task] rework Special:NewLexeme
Closed, ResolvedPublic

Description

When testing the current design of Special:NewLexeme we noticed that it is still too complicated. Among other things, having two fields to select a language has been considered confusing.

Some suggestions on what could be improved there:

  • Special:NewLexeme should ("by default") only ask for the language of the lexeme (item reference)
  • There should be a logic added that is trying to pick the right language code for lemma based on the lexeme's language (by reading statements on the lexeme language item), see T154316 tracking this step.
  • As a second step of adding a lexeme, user would be presented with a view with a automatically selected language code for the entered lemma. At this point user will be able to change the language of lemma if needed (ie. if the wrong code for "variant" etc has been picked automatically).
  • Editor should probaly not be facing the above mentioned second step in cases where picking the language of lemma is unambiguous.

This tickets needs a further breakdown into subtasks. Language guessing "logic" might be needed to be specified in more detail.

Patch-For-Review:

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
DuplicateNone
ResolvedJakob_WMDE
ResolvedJakob_WMDE
OpenNone
ResolvedJakob_WMDE
ResolvedJakob_WMDE
ResolvedWMDE-leszek
OpenJakob_WMDE
ResolvedLydia_Pintscher
OpenNone

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 13 2017, 3:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Needs Clarification:

Split it in two steps. The second step should only be shown when we can not guess the information in the second step.

I roughly remember this was about the language selection. The first step was selecting the Language of the spoken word, the second was mainly needed if there are two different ways to spell an otherwise equivalent word. And that second step should only be avalible if needed, since otherwise a) the user remains confused b) the user may select wrong things while selecting nothing at all is fine most cases and most languages.

WMDE-leszek updated the task description. (Show Details)Feb 28 2017, 4:07 PM
WMDE-leszek triaged this task as High priority.Feb 28 2017, 4:10 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Feb 28 2017, 4:19 PM

Here a mock of the possible lexeme creation UI


There is an additional optional field, The bottom field, "Language of Lemma", which would be optional and only shown, if the language of the lexeme is one that has several written forms. If you want.

The current UI on which it was based:

Differences:

  • Lemma on top (since this is likely to be the most important thing for the user, also we may be able to suggest a language based on it’s input)#
  • Language of lemma optional (since it is only needed if there are e.g. different spellings for the same concept)
  • Help icons. The wording is very technical/sciency. The least we can do is to provide help.
  • Examples for the kind of input in the secondary text in the box instead of the generic and providing-a-technical-access "Enter ID"
Jakob_WMDE moved this task from Backlog to Doing on the Wikidata-Former-Sprint-Board board.

Change 341577 had a related patch set uploaded (by jakob):
[mediawiki/extensions/WikibaseLexeme] [WIP] Add item selector to lexeme language textfield.

https://gerrit.wikimedia.org/r/341577

Change 342243 had a related patch set uploaded (by Jakob):
[mediawiki/extensions/WikibaseLexeme] [WIP] Infer lemma language from lexeme language for new lexemes.

https://gerrit.wikimedia.org/r/342243

Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Apr 24 2017, 12:53 PM
Jakob_WMDE moved this task from Doing to Backlog on the Wikidata-Former-Sprint-Board board.
Jakob_WMDE added a subscriber: Jakob_WMDE.
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from in progress to ready to go on the Wikidata board.
thiemowmde added a subscriber: thiemowmde.
Lydia_Pintscher lowered the priority of this task from High to Normal.May 27 2018, 4:11 PM
Lydia_Pintscher closed this task as Resolved.Jun 5 2018, 7:43 AM
Lydia_Pintscher claimed this task.